OrcProto.StripeStatistics.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.StripeStatistics.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeStatistics.Builder>
      - - org.apache.orc.OrcProto.StripeStatistics.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.StripeStatisticsOrBuilder
  Enclosing class:
    OrcProto.StripeStatistics

      public static final class OrcProto.StripeStatistics.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeStatistics.Builder>
      implements OrcProto.StripeStatisticsOrBuilder

  Protobuf type `orc.proto.StripeStatistics`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.StripeStatistics.Builder` | `addAllColStats(Iterable<? extends OrcProto.ColumnStatistics> values)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `addColStats(int index, OrcProto.ColumnStatistics.Builder builderForValue)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `addColStats(int index, OrcProto.ColumnStatistics value)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `addColStats(OrcProto.ColumnStatistics.Builder builderForValue)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `addColStats(OrcProto.ColumnStatistics value)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.ColumnStatistics.Builder` | `addColStatsBuilder()` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.ColumnStatistics.Builder` | `addColStatsBuilder(int index)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.StripeStatistics` | `build()`
    `OrcProto.StripeStatistics` | `buildPartial()`
    `OrcProto.StripeStatistics.Builder` | `clear()`
    `OrcProto.StripeStatistics.Builder` | `clearColStats()` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `clone()`
    `OrcProto.ColumnStatistics` | `getColStats(int index)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.ColumnStatistics.Builder` | `getColStatsBuilder(int index)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `List<OrcProto.ColumnStatistics.Builder>` | `getColStatsBuilderList()` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `int` | `getColStatsCount()` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `List<OrcProto.ColumnStatistics>` | `getColStatsList()` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.ColumnStatisticsOrBuilder` | `getColStatsOrBuilder(int index)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `List<? extends OrcProto.ColumnStatisticsOrBuilder>` | `getColStatsOrBuilderList()` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.StripeStatistics` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.StripeStatistics.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.StripeStatistics.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.StripeStatistics.Builder` | `mergeFrom(OrcProto.StripeStatistics other)`
    `OrcProto.StripeStatistics.Builder` | `removeColStats(int index)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `setColStats(int index, OrcProto.ColumnStatistics.Builder builderForValue)` `repeated .orc.proto.ColumnStatistics colStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `setColStats(int index, OrcProto.ColumnStatistics value)` `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeStatistics.Builder>`

    - #### clear

          public OrcProto.StripeStatistics.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeStatistics.Builder>`

    - #### clone

          public OrcProto.StripeStatistics.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeStatistics.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeStatistics.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.StripeStatistics getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.StripeStatistics build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.StripeStatistics buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.StripeStatistics.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.StripeStatistics.Builder>`

    - #### mergeFrom

          public OrcProto.StripeStatistics.Builder mergeFrom(OrcProto.StripeStatistics other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.StripeStatistics.Builder>`

    - #### mergeFrom

          public OrcProto.StripeStatistics.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.StripeStatistics.Builder>`
      Throws:
        `IOException`

    - #### getColStatsList

          public List<OrcProto.ColumnStatistics> getColStatsList()

      `repeated .orc.proto.ColumnStatistics colStats = 1;`
      Specified by:
        `getColStatsList` in interface `OrcProto.StripeStatisticsOrBuilder`

    - #### getColStatsCount

          public int getColStatsCount()

      `repeated .orc.proto.ColumnStatistics colStats = 1;`
      Specified by:
        `getColStatsCount` in interface `OrcProto.StripeStatisticsOrBuilder`

    - #### getColStats

          public OrcProto.ColumnStatistics getColStats(int index)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`
      Specified by:
        `getColStats` in interface `OrcProto.StripeStatisticsOrBuilder`

    - #### setColStats

          public OrcProto.StripeStatistics.Builder setColStats(int index,
                                                               OrcProto.ColumnStatistics value)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### setColStats

          public OrcProto.StripeStatistics.Builder setColStats(int index,
                                                               OrcProto.ColumnStatistics.Builder builderForValue)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### addColStats

          public OrcProto.StripeStatistics.Builder addColStats(OrcProto.ColumnStatistics value)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### addColStats

          public OrcProto.StripeStatistics.Builder addColStats(int index,
                                                               OrcProto.ColumnStatistics value)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### addColStats

          public OrcProto.StripeStatistics.Builder addColStats(OrcProto.ColumnStatistics.Builder builderForValue)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### addColStats

          public OrcProto.StripeStatistics.Builder addColStats(int index,
                                                               OrcProto.ColumnStatistics.Builder builderForValue)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### addAllColStats

          public OrcProto.StripeStatistics.Builder addAllColStats(Iterable<? extends OrcProto.ColumnStatistics> values)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### clearColStats

          public OrcProto.StripeStatistics.Builder clearColStats()

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### removeColStats

          public OrcProto.StripeStatistics.Builder removeColStats(int index)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### getColStatsBuilder

          public OrcProto.ColumnStatistics.Builder getColStatsBuilder(int index)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### getColStatsOrBuilder

          public OrcProto.ColumnStatisticsOrBuilder getColStatsOrBuilder(int index)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`
      Specified by:
        `getColStatsOrBuilder` in interface `OrcProto.StripeStatisticsOrBuilder`

    - #### getColStatsOrBuilderList

          public List<? extends OrcProto.ColumnStatisticsOrBuilder> getColStatsOrBuilderList()

      `repeated .orc.proto.ColumnStatistics colStats = 1;`
      Specified by:
        `getColStatsOrBuilderList` in interface `OrcProto.StripeStatisticsOrBuilder`

    - #### addColStatsBuilder

          public OrcProto.ColumnStatistics.Builder addColStatsBuilder()

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### addColStatsBuilder

          public OrcProto.ColumnStatistics.Builder addColStatsBuilder(int index)

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

    - #### getColStatsBuilderList

          public List<OrcProto.ColumnStatistics.Builder> getColStatsBuilderList()

      `repeated .orc.proto.ColumnStatistics colStats = 1;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.